Hyper Open Edge Cloud

[ANNOUNCEMENT] Dec, 1st 2021 12:00 GMT: Re6st 0.573+ required, please upgrade

Rapid.Space Announcement. Read the article for details.
  • Last Update:2021-10-18
  • Version:001
  • Language:en

01/12/2021 12:00 GMT: Please upgrade re6st-node

A new stable re6st version (0.573) is out for all distributions. It features important changes in the re6st inter-node protocol, making it more flexible:

  • Protocol parsing now allows adding new fields without compatibility breaking
  • Nodes initially exchange their protocol versions between themselves and the registry
  • At startup, nodes ask the registry for their country instead of using a geoip2 local database
  • Nodes can specify what country they are from with the --country option, in case IP geolocation gives the wrong country

All machines running re6st need to have the re6st-node package upgraded to 0.573 or higher before December 1st 2021.

Starting from this date, machines running older versions will be kicked out of the network.

Once upgraded, please run re6stnet --version to ensure you are running 0.573+